#pragma once
#include "Preferences.h"

class CPPg_X_Share : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPg_X_Share)

public:
	CPPg_X_Share();
	virtual ~CPPg_X_Share();

	// Dialog Data
	enum { IDD = IDD_PPG_X_SHARE };

	void Localize(void);

	afx_msg void OnSettingsChange()		{SetModified();}
	afx_msg	void OnBnClickedSUQWT(); // X-Ray :: SUQWT
	afx_msg	void OnBnClickedReleaseBonus(); // X-Ray :: ReleaseBonus

	// X-Ray :: PaybackFirst :: Start
	afx_msg void OnBnClickedPBFSUI();
	afx_msg void OnBnClickedPBFNonSUI();
	// X-Ray :: PaybackFirst :: End

	// X-Ray :: Powershare :: Start
	afx_msg	void OnBnClickedPS();
	afx_msg	void OnBnClickedPSRadio();
	// X-Ray :: Powershare :: End

protected:

	void LoadSettings();

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();

	DECLARE_MESSAGE_MAP()
};
